Skip to main content
POST
/
v1
/
wallets
/
{id}
/
signing
/
message
Master Wallet Message
curl --request POST \
  --url https://api.blockradar.co/v1/wallets/{id}/signing/message \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "message": "I am verifying ownership of the wallet address 0x... as customer cust_123. This message was signed on 2026-03-03 to confirm my control over this wallet.",
  "metadata": "OPTIONAL_METADATA",
  "note": "OPTIONAL_NOTE"
}
'
{
  "data": {
    "amlScreening": {},
    "amount": null,
    "amountPaid": null,
    "amountUSD": "0.00",
    "asset": null,
    "assetSwept": null,
    "assetSweptAmount": null,
    "assetSweptAt": null,
    "assetSweptGasFee": null,
    "assetSweptHash": null,
    "assetSweptRecipientAddress": null,
    "assetSweptSenderAddress": null,
    "blockHash": null,
    "blockNumber": null,
    "blockchain": {
      "configurations": null,
      "createdAt": "2024-10-22T10:57:33.465Z",
      "derivationPath": "m/44'/501'/0'",
      "id": "196badf5-380f-4480-ab4a-d0e4304e91f0",
      "isActive": true,
      "isEvmCompatible": false,
      "isL2": false,
      "name": "solana",
      "networkFeeModel": "native",
      "slug": "solana",
      "symbol": "sol",
      "tokenStandard": null,
      "updatedAt": "2024-11-26T13:04:13.951Z"
    },
    "chainId": null,
    "confirmations": null,
    "confirmed": true,
    "createdAt": "2026-03-02T11:09:44.137Z",
    "createdChannel": "dashboard",
    "currency": "USD",
    "fee": null,
    "feeHash": null,
    "feeUSD": null,
    "gasFee": null,
    "gasPrice": null,
    "gasUsed": null,
    "hash": "5bfTmhezuvaceHBbQqfsZewsg9JLEwgFTws9r1XxcVougFKx3QG7jKU7sWJqaWXvvXCoFQkqkm5taUyvkFRwpaCj",
    "id": "b4d7b006-1156-4152-a50b-3d8583679456",
    "isAutoSweep": false,
    "metadata": null,
    "network": "testnet",
    "note": null,
    "processingProviderReference": null,
    "processingReason": null,
    "processingStatus": "PENDING",
    "rate": null,
    "rateUSD": "0.00",
    "reason": "I am verifying ownership of the wallet address 0x... as customer cust_123. This message was signed on 2026-03-03 to confirm my control over this wallet.",
    "recipientAddress": "DiikCme9VyoW9W7DpbXzmKVfSQhynn3g6j6VXcnCr2gH",
    "reference": "4TWtqR6V14sljfQA8Ncy",
    "senderAddress": "DiikCme9VyoW9W7DpbXzmKVfSQhynn3g6j6VXcnCr2gH",
    "signedTransaction": {
      "signature": "5bfTmhezuvaceHBbQqfsZewsg9JLEwgFTws9r1XxcVougFKx3QG7jKU7sWJqaWXvvXCoFQkqkm5taUyvkFRwpaCj"
    },
    "status": "SUCCESS",
    "toAmount": null,
    "toCurrency": null,
    "tokenAddress": null,
    "type": "SIGNED",
    "updatedAt": "2026-03-02T11:09:44.137Z",
    "wallet": {
      "address": "DiikCme9VyoW9W7DpbXzmKVfSQhynn3g6j6VXcnCr2gH",
      "configurations": {
        "addresses": {
          "isActive": true,
          "prefunding": {
            "assets": [
              {
                "alwaysMaintain": true,
                "amount": "4",
                "blockchain": "solana",
                "createdAt": "2025-09-02T11:50:53.807Z",
                "currency": "USD",
                "id": "17b48f89-ab7e-4962-a0cc-df5b7b5486b2",
                "isActive": true,
                "name": "Solana Network Fee Funding",
                "symbol": "SOL",
                "updatedAt": "2025-09-02T11:50:53.807Z"
              }
            ],
            "isActive": true
          }
        }
      },
      "createdAt": "2024-11-05T07:47:40.388Z",
      "derivationPath": "m/44'/501'/0'/0'",
      "description": "This is Solana Testnet Wallet",
      "id": "f8d8e16f-af6f-4707-9ea9-2075eefd95eb",
      "isActive": true,
      "name": "Solana Wallet",
      "network": "testnet",
      "status": "ACTIVE",
      "updatedAt": "2025-09-02T11:50:53.812Z"
    }
  },
  "message": "Message signed successfully",
  "statusCode": 200
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required
Example:

"YOUR_WALLET_ID"

Body

application/json
message
string
Example:

"I am verifying ownership of the wallet address 0x... as customer cust_123. This message was signed on 2026-03-03 to confirm my control over this wallet."

metadata
string
Example:

"OPTIONAL_METADATA"

note
string
Example:

"OPTIONAL_NOTE"

Response

200 - application/json

200 - Solana / 200 - Tron

data
object
message
string
Example:

"Message signed successfully"

statusCode
number
Example:

200